(defmacro xor-macro (x y)
  (list 'if x (list 'not y) y))

(defmacro git-macro (sym key)
  (list 'getprop sym key nil
        '(quote current-acl2-world)
        '(w state)))

(defmacro one-of (x &rest rst)
  (declare (xargs :guard (symbol-listp rst)))
  (cond ((null rst) nil)
        (t (list 'or
                 (list 'eq x (list 'quote (car rst)))
                 (list* 'one-of x (cdr rst))))))
