; Proof for the formula that indicates how many moves are required to
; solve the Towers of Hanoi problem: third part (usage). Taken from
; the ACL2 documentation.

; Include the book with all the definitions
(include-book "books/hanoi-cert/hanoi")

(defthm hanoi-moves-required
  (implies (and (integerp n)
                (<= 0 n))
           (equal (len (hanoi::hanoi a b c n))
                  (1- (expt 2 n)))))
